webdevqa.jp.net

yumを使用してPHPにposixサポートを簡単に追加するにはどうすればよいですか?

CentOS 5.2を実行していて、yumを使用してパッケージを管理しています。私はphp-posixをインストールするのにほとんど運がありませんでしたが、それが実際の利用可能なパッケージであることをほぼ100%確実に知っています...どこかにあります。誰かがそれをインストールする運がありましたか?

FWIW、私は以下を使用しています:

Sudo yum install -y php-posix

更新: PHPバージョン(5.2.9)で実際にcli、posix、およびpcntlを有効にしているので、これがホスト(Slicehost)の問題である可能性があることに気付きました。

18
Kyle

テストリポジトリにあるかどうかを試してみることができます。

それがそのリポジトリにあるかどうかを確認します。

yum --disablerepo=\* --enablerepo=c5-testing list available \*php\*

そしてそれをインストールします。

yum --enablerepo=c5-testing install php-posix

ただし、必要なPHPバージョンは、現在のバージョンよりも高い場合があることに注意してください。

5
Ólafur Waage

質問はcentosに関するものでしたが、Fedoraの場合、php-posixパッケージはphp-processFedora 11から によって提供されることに注意してください。この変更も、ある時点でcentosに影響を与えると思います。

23
hlovdal

これは、symfonyに問題がある私にとってはうまくいきます。

http://blog.myee.web.id/warning-the-posix_isatty-is-available-failed-install-and-enable-the-php_posix-extension-used-to-colorized-the-cli-出力/

私はあなたのために働くことを願っています。ありがとう

1
Pathic

CentOS5.3を実行しています。含まれているPHPにはすでにPosix関数が組み込まれています。 POSIX関数の概要ドキュメント (これらの関数がWindowsでは使用できません)特定の機能を使用しようとしましたが、機能しませんでしたか?


    <?php print_r(posix_uname()) ?>

独自のファイルで私のために動作します。

0
Tony Miller